A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Namespaces | Functions
backend.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Namespaces
namespace | af

## Functions
AFAPI af_err | af_set_backend (const af_backend bknd)
AFAPI af_err | af_get_backend_count (unsigned *num_backends)
AFAPI af_err | af_get_available_backends (int *backends)
| Returns a flag of all available backends.
AFAPI af_err | af_get_backend_id (af_backend *backend, const af_array in)
AFAPI af_err | af_get_active_backend (af_backend *backend)
AFAPI af_err | af_get_device_id (int *device, const af_array in)
AFAPI void | setBackend (const Backend bknd)
AFAPI unsigned | getBackendCount ()
AFAPI int | getAvailableBackends ()
| Returns a flag of all available backends.
AFAPI af::Backend | getBackendId (const array &in)
AFAPI af::Backend | getActiveBackend ()
AFAPI int | getDeviceId (const array &in)